### Function

# Gtk rgb_to_hsv

since: 4.0

#### Declaration [src]

    void
    gtk_rgb_to_hsv (
      float r,
      float g,
      float b,
      float* h,
      float* s,
      float* v
    )

#### Description [src]

Converts a color from RGB space to HSV.

Input values must be in the [0.0, 1.0] range; output values will be in the same range.

Available since: 4.0

#### Parameters

`r`

  Type: `float`

  Red.

`g`

  Type: `float`

  Green.

`b`

  Type: `float`

  Blue.

`h`

  Type: `float*`

  Return value for the hue component.

  The argument will be set by the function.

`s`

  Type: `float*`

  Return value for the saturation component.

  The argument will be set by the function.

`v`

  Type: `float*`

  Return value for the value component.

  The argument will be set by the function.